> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.levanta.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List Performance Reports by Creator

> Aggregated performance metrics across all marketplaces, grouped by creator.



## OpenAPI

````yaml https://app.levanta.io/api/seller/v2/openapi.json get /reports/performance/creator
openapi: 3.1.0
info:
  version: 2.0.0
  title: Levanta Seller API v2
  description: >-
    Authorize all requests with an API key in the Authorization header as the
    second token. E.g. Authorization -> "Bearer {api_key}".
servers:
  - url: https://app.levanta.io/api/seller/v2
security: []
externalDocs:
  url: https://app.levanta.io/seller/api-docs
paths:
  /reports/performance/creator:
    get:
      tags:
        - Reports
      summary: List Performance Reports by Creator
      description: >-
        Aggregated performance metrics across all marketplaces, grouped by
        creator.
      operationId: SellerListPerformanceReportsByCreatorV2
      parameters:
        - schema:
            type: string
            format: date-time
            description: 'Date in ISO Format without offset (UTC): YYYY-MM-DDTHH:mm:ss.SSSZ'
          required: true
          description: 'Date in ISO Format without offset (UTC): YYYY-MM-DDTHH:mm:ss.SSSZ'
          name: start
          in: query
        - schema:
            type: string
            format: date-time
            description: 'Date in ISO Format without offset (UTC): YYYY-MM-DDTHH:mm:ss.SSSZ'
          required: true
          description: 'Date in ISO Format without offset (UTC): YYYY-MM-DDTHH:mm:ss.SSSZ'
          name: end
          in: query
        - schema:
            type: string
            description: >-
              Comma-delimited list of marketplaces to include. Defaults to all
              marketplaces.
          required: false
          description: >-
            Comma-delimited list of marketplaces to include. Defaults to all
            marketplaces.
          name: marketplaces
          in: query
        - schema:
            type: string
            description: Comma-delimited list of UUIDs representing an array
          required: false
          description: Comma-delimited list of UUIDs representing an array
          name: brandIds
          in: query
        - schema:
            type: string
            description: >-
              Filter by product primary ID (ASIN, Walmart Item ID, or Shopify
              Variant ID)
          required: false
          description: >-
            Filter by product primary ID (ASIN, Walmart Item ID, or Shopify
            Variant ID)
          name: productIds
          in: query
        - schema:
            type: string
            description: Comma-delimited list of UUIDs representing an array
          required: false
          description: Comma-delimited list of UUIDs representing an array
          name: creatorIds
          in: query
        - schema:
            type: number
            minimum: 1
            maximum: 100
            default: 25
            description: The maximum number of items to return
          required: false
          description: The maximum number of items to return
          name: limit
          in: query
        - schema:
            type: string
            maxLength: 512
            description: >-
              The cursor returned from the last request, if omitted the first
              page will be returned
          required: false
          description: >-
            The cursor returned from the last request, if omitted the first page
            will be returned
          name: cursor
          in: query
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  rows:
                    type: array
                    items:
                      type: object
                      properties:
                        creator:
                          type:
                            - object
                            - 'null'
                          properties:
                            id:
                              type: string
                              format: uuid
                            name:
                              type: string
                          required:
                            - id
                            - name
                          description: >-
                            Null if sales are not attributed to a creator in
                            Levanta.
                        metrics:
                          type: object
                          properties:
                            clicks:
                              type: number
                            sales:
                              type: string
                            commission:
                              type: string
                            conversions:
                              type: number
                            addToCarts:
                              type: number
                              description: >-
                                Amazon-only metric. Always 0 for Shopify/Walmart
                                data.
                            detailPageViews:
                              type: number
                              description: >-
                                Amazon-only metric. Always 0 for Shopify/Walmart
                                data.
                            brandReferralBonus:
                              type: string
                          required:
                            - clicks
                            - sales
                            - commission
                            - conversions
                            - addToCarts
                            - detailPageViews
                            - brandReferralBonus
                      required:
                        - creator
                        - metrics
                  cursor:
                    type:
                      - string
                      - 'null'
                    description: >-
                      The cursor to use for the next request, if empty there are
                      no more items to return
                required:
                  - rows
                  - cursor
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: number
                    enum:
                      - 401
                  message:
                    type: string
                    enum:
                      - Unauthorized
                required:
                  - status
                  - message
        '422':
          description: Input Validation Failed
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: number
                    enum:
                      - 422
                  message:
                    type: string
                    enum:
                      - Input Validation Failed
                required:
                  - status
                  - message
      security:
        - Bearer: []
components:
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer

````